## rbldnsd 0.994

=== debian/changelog ===
rbldnsd (0.994) unstable; urgency=low

  * released 0.994

 -- Michael Tokarev <mjt@corpit.ru>  Sat, 18 Dec 2004 17:07:24 +0300

rbldnsd (0.993.9) unstable; urgency=low

  * fixed wrong return in ds_ip4trie_dump_octets(), which
    prevented some ranges from being expanded properly when
    creating master-format dump (-d) file.
  * generalized and moved ds_ip4trie_dump_range() (renamed to
    dump_ip4range()) to rbldnsd_utils.c to made it generally
    useful (to be used in rbldnsd_ip4set.c too), and made it
    void (cf the wrong return above)
  * made txtsubst() public, and move it and dump_a_txt() into
    rbldnsd_utils.c where the stuff belongs to, out from
    rbldnsd_packets.c which is too large and has nothing to
    do with that stuff.
  * new helper dump_ip4(), analogous to dump_ip4range()
  * use dump_ip4() in ip4tset
  * rewrite ds_ip4set_dump(), to handle that problrmatic case
    with entries 127/8 and 127.0.0.2: should also emit
    *.0.127 and *.0.0.127
  * recognize NO_MASTER_DUMP #define (disable -d option)
  * fix memleak when loading $n substitutions (mp_strdup vs estrdup)

 -- Michael Tokarev <mjt@corpit.ru>  Mon, 13 Dec 2004 04:40:27 +0300

rbldnsd (0.993.1) unstable; urgency=low

  * don't remove rbldns user in debian/postrm (Closes: bug#258012).
  * create /var/lib/rbldns root-owned, to stop encouraging usage of
    rbldns userid to store datafiles.
  * add README.user explaining rbldns userid and /var/lib/rbldns dir usage
  * #include <sys/time.h> in rbldnsd.c to get struct timeval definition
    (needed e.g. on older glibc)

 -- Michael Tokarev <mjt@corpit.ru>  Thu, 29 Jul 2004 17:46:51 +0400

rbldnsd (0.993) unstable; urgency=low

  * 0.993 release, finally

  * cleaned up debian/rules a bit per recommendations by Santiago Vila

  * fixed a bug when rbldnsd was using 0.0.0.0 as A value instead
    of a real IP address (when construct like ":127.0.0.2" is specified),
    introduced in 0.992

  * manpage: described various :A:TXT cases; reformatted to use
    .SS instead of .IP in some cases.
  * remove a note about ip4trie and -d option: ip4trie is dumpable
    now.

 -- Michael Tokarev <mjt@corpit.ru>  Thu,  1 Jul 2004 20:23:01 +0400

rbldnsd (0.993p2) unstable; urgency=low

  * warn when $DATASET specifies no subzones

  * recognize # in $DATASET line only after a space,
    so that one may have names with embedded #s.

  * allow names for subdatasets in combined dataset,
    for better logging.  Specify :name after type
    in $DATASET line, like
      $DATASET ip4set:http proxies @
      $DATASET ip4set:relays relays @

 -- Michael Tokarev <mjt@corpit.ru>  Thu,  1 Jul 2004 15:27:30 +0400

rbldnsd (0.993p1) unstable; urgency=low

  * implement and enforce $MAXRANGE4 special

  * refine logging a bit, make it less verbose

  * (internal) reorganize loading process a bit to
    have dsctx parameter (load context) to be passed
    as an argument, instead of global ds_loading.

    (internal) moved ip4parse_*() into the only places
    where that stuff was used.

    (internal) minor cleanups in combined dataset

  * ignore incomplete last lines (lines w/o end-of-line
    terminator) in data files

  * check for data file changes during reloads (while
    reading data), and abort loading if a change is
    detected

  * another parsing error in ip4parse.c (ip4addr() and
    ip4prefix(), unlike claimed, was able to return 0)

  * more cleanups and clarifications in ip4parse.c.
    Do not treat bare numbers as /8s anymore.
    Do not allow ranges like 1.2-2 or 1.2-1.2.3 -
    number of octets on both sides should match
    (with the exception of 1.2.3.4-5 - last part
    may have only one octet)

  * really require complete IPv4 addresses (not
    prefixes) in ip4tset.

  * fixed query logging (-l) with background reloading
    (missing fflush() before fork() and exit())

  * use writev/readv to transfer stats in 2-process reload
    (may be a bit faster)

  * cleanup NOSTATS #defines/usage a bit

  * bugfix: wrong MX pref in dump (-d) in generic dataset.
    Fix by Andreas Pommer, apommer at cosy.sbg.ac.at

  * bugfix: wrong subzone in $ORIGIN when dumping combined dataset.
    Fix by Andreas Pommer, apommer at cosy.sbg.ac.at

  * bugfix: incorect (opposite) evaluation of maxttl.
    Fix by Bradley Baetz  bradley.baetz at optusnet.com.au

  * some hooks, to build custom versions (rbldnsd_hooks.[ch])

 -- Michael Tokarev <mjt@corpit.ru>  Thu, 10 Jun 2004 02:46:57 +0400

rbldnsd (0.992) unstable; urgency=low

  * add an ability to specify A value but inherit default
    TXT value:
    entry :addr:  - specific A, no TXT
    entry :addr   - specific A, default TXT

  * remove redundrant CNAMEs from master-file dump in ip4set

  * fix syslog statistics logging mess introduced in pre4

 -- Michael Tokarev <mjt@corpit.ru>  Sun,  7 Mar 2004 01:35:46 +0300

rbldnsd (0.992pre4) unstable; urgency=low

  * reviewed statistics again:
    - use different structure (smaller and simpler anyway)
    - moved all stats updating to rbldnsd_packet.c
    - different syslogging (simpler)
    - different statslogging (more details)

  * extended -t (TTL) option: -t defttl:minttl:maxttl.

  * remove some more mess from memstats logging

  * changed rbldnsd.init to not rely on readlink and be less strict

  * rework 2-process reload, add workarounds for lost signals

 -- Michael Tokarev <mjt@corpit.ru>  Wed,  3 Mar 2004 17:43:38 +0300

rbldnsd (0.992pre3) unstable; urgency=low

  * added ip4tset ("trivial" set of IPv4 addresses) -
    faster and smaller but limited version of ip4set

  * continue processing queries during reloads (-f option)

 -- Michael Tokarev <mjt@corpit.ru>  Mon,  1 Mar 2004 19:36:15 +0300

rbldnsd (0.992pre2) unstable; urgency=low

  * cleaned up statistics printing

  * removed -s option (log memory usage and (re)load times) -
    turned (reworked) equivalent always on

  * reworked memusage/times logging

  * added -s back, to mean something different: log short

