## rbldnsd 0.996

=== debian/changelog ===
rbldnsd (0.996) unstable; urgency=low

  * 0.996 release

  * portability fix in istream.c:
    EPROTO=>ENOEXEC if EPROTO isn't defined

 -- Michael Tokarev <mjt@corpit.ru>  Sun, 19 Feb 2006 16:41:16 +0300

rbldnsd (0.995.99) unstable; urgency=low

  * add a 'pass' entry processing into ACL "dataset"

  * (internal) reorganize ds_special() (no user-visible changes)

  * (internal) reorganized zone reloading code to eliminate
    start_loading()+longjump() hack

  * data expiration support, in form
    $TIMESTAMP created expires

 -- Michael Tokarev <mjt@corpit.ru>  Sun, 29 Jan 2006 00:43:51 +0000

rbldnsd (0.995.98) unstable; urgency=low

  * deal with realloc(smaller_size) returning NULL

  * add next-reload-size hint to dnset too

  * (cosmetic code) unify several structure member names across
    different *sets

  * up MAX_NS from 20 to 32, per request from Spamhaus

  * fix a nasty typo in vssprintf() (bufsiz => bufsz).  DO #undefine
    constants which aren't needed anymore!

  * rearrange code a bit: move readslines() from rbldnsd_util.c to
    rbldnsd_zones.c, make some functions static and remove declarations
    from rbldnsd.h.  No code changes.

  * cosmetic again: NOSTATS, NOSTDINT_H etc => NO_STATS, NO_STDINT_H etc.
    Note if you had automated building procedure you have to change
    your #defines.

  * new configure script, using shell functions in configure.lib - much
    more manageable.

  * configure script now accepts some --disable- and --enable- options
    (--disable-ipv6)

  * istream.[ch] - helper module, light buffering input somewhat similar
    to stdio, much faster, supports line oriented input, and is stackable
    (one istream can read from another or something else).  Reading speed
    improved significantly.

  * support of automatic on-the-fly de-compression of gzip-compressed
    data files (with a help of zlib).

 -- Michael Tokarev <mjt@corpit.ru>  Tue, 20 Dec 2005 00:15:56 +0300
