## rbldnsd 0.996a~bpo.1

=== debian/changelog ===
rbldnsd (0.996a~bpo.1) sarge-backports; urgency=low

  * Build for sarge. No source changes.

 -- Santiago Vila <sanvila@debian.org>  Sat,  2 Dec 2006 14:28:00 +0100

rbldnsd (0.996a) unstable; urgency=low

  * the "34-Birthday Release"

  * use setitimer() instead of alarm() on systems which supports it
    (configure & rbldnsd.c).  This works around some broken linux
    kernel behaviour where we sometimes lose a signal (SIGALRM in this
    case) and rbldnsd stops checking for updates.

  * cosmetic code cleanups:
   - use void* instead of char* in mempool.[ch] where appropriate.
   - wrong type in check_expires(): unsigned instead of time_t.
   - wrong type (signedness) for domain name in ds_dnset_dump()
   - use appropriate char/uchar for domain names in ds_generic_dump()
   - istream signedness (warning) fixes

  * debian:
   - Build-Depends on debhelper>>4, and set DH_COMPAT to 4
   - Build-Depends on zlib1g-dev, and pass --enable-zlib to ./configure
   - bump Standards-Version to 3.7.2
   - add Depends: on adduser (Closes: #398560)

  * bugfix: fix dataset "un-expiration" time. Previously, once a dataset
    has expired, it never "un-expires" again even if new expire time is
    in future.  Due to missing reset of ds->ds_expire field.

  * bugfix: fix configure breakages:
   - portability: for f; do => for f in "$@"; do
   - fix broken GNU C (mis)detection

  * don't treat -a as experimental and mention it will be the default.
    Add -A option.

 -- Michael Tokarev <mjt@corpit.ru>  Thu, 27 Jul 2006 13:36:30 +0400
