## rbldnsd 0.996a

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# $Id: rules,v 1.14 2004/07/29 18:44:28 mjt Exp $
+# $Id: rules,v 1.15 2006/07/22 06:48:25 mjt Exp $
 # debian/rules for rbldnsd
 # GNU copyright 1997 to 1999 by Joey Hess.
 # GNU copyright 2003 by Michael Tokarev.
@@ -8,7 +8,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 DEFS =
 CFLAGS = -pipe -Wall -W -g
@@ -19,7 +19,7 @@
 config: config.h Makefile
 config.h Makefile: configure Makefile.in
 	dh_testdir
-	CFLAGS="$(CFLAGS)" DEFS="$(DEFS)" ./configure
+	CFLAGS="$(CFLAGS)" DEFS="$(DEFS)" ./configure --enable-zlib
 
 build: debian/build-stamp
 debian/build-stamp: config.h
