## rbldnsd 0.996a-0.1

=== debian/changelog ===
rbldnsd (0.996a-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB dependency information to init script (closes: #468886)

 -- Peter Eisentraut <petere@debian.org>  Tue, 01 Apr 2008 22:59:23 +0200
