## rbldnsd 0.996b

=== debian/changelog ===
rbldnsd (0.996b) unstable; urgency=low

  * cleanup: #ifdefed dump_a_txt() properly so it will not be compiled
    if --disable-master-dump was specified.

  * implement "base template" ($=) feature.

  * feature: (experimental) support for dynamically-loaded extensions (DSOs)
    (disabled by default, use --enable-dso configure option)

  * portability and readability fixes from Victor Duchovni

  * added configure test for inline and __inline keywords, and only
    use #warning keyword if __GNUC__ is defined (more portability fixes
    from Victor Duchovni)

  * misc type conversions here and there, and change alignment in
    mempool.c to be sizeof(void*) instead of sizeof(int), to help
    64bit platforms.  Thanks to Mike Quintero for an excellent
    bugreport.

  * bugfix: combined dataset - improper return of query() routine in some
    cases

  * internal code reorg:
    - move firstword[_lc]() to _util.c
    - use two structs instead of a set of 2-element arrays in dnset

  * bugfix: lowercase base zone names given on command line and in `combined'
    dataset, or else they wont be recognized in queries

  * added an lsb info to Debian initscript (Closes: #468886)

 -- Michael Tokarev <mjt@corpit.ru>  Sat, 29 Mar 2008 17:38:49 +0300
