## rbldnsd 0.996bubuntu1

=== debian/changelog ===
rbldnsd (0.996bubuntu1) oneiric; urgency=low

  * Fix FTBFS with ld --as-needed. LP: #771027.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Sep 2011 23:28:27 +0200
