=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# $Id: rules,v 1.15 2006/07/22 06:48:25 mjt Exp $
+# $Id: rules,v 1.15 2006-07-22 06:48:25 mjt Exp $
 # debian/rules for rbldnsd
 # GNU copyright 1997 to 1999 by Joey Hess.
 # GNU copyright 2003 by Michael Tokarev.
