=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,10 @@
 #!/usr/bin/make -f
-# $Id: rules,v 1.15 2006-07-22 06:48:25 mjt Exp $
 # debian/rules for rbldnsd
 # GNU copyright 1997 to 1999 by Joey Hess.
 # GNU copyright 2003 by Michael Tokarev.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=4
 
 DEFS =
 CFLAGS = -pipe -Wall -W -g
