## rbldnsd 0.998b~pre1

=== debian/changelog ===
rbldnsd (0.998b~pre1-1) unstable; urgency=medium

  * New upstream snapshot.
  * New upstream maintainer.
  * New Debian maintainer.

 -- Marco d'Itri <md@linux.it>  Tue, 27 Sep 2016 02:04:33 +0200

rbldnsd (0.998-1) UNRELEASED; urgency=low

  * configure.lib-fix-building-with-as-needed.patch (Closes: #641556)
    (cherry-picked).   Thanks to Matthias Klose <doko@ubuntu.com> for
    reporting this and providing the fix.
  * add build-{arch,indep} targets to d/rules
  * use dpkg-buildflags for LDFLAGS CPPFLAGS CFLAGS
  * add Vcs headers to d/control

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 20 Oct 2013 21:00:39 +0400
