=== debian/control ===
Source: rbldnsd
Section: net
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends:
 debhelper (>= 9), quilt,
 zlib1g-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/users/md/rbldnsd.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/md/rbldnsd.git

Package: rbldnsd
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, adduser
Description: small nameserver daemon designed for DNSBLs
 rbldnsd is a small authoritative-only DNS nameserver
 designed to serve DNS-based blocklists (DNSBLs).
 It may handle IP-based and name-based blocklists.
