## rbldnsd 0.999~20180516

=== debian/changelog ===
rbldnsd (0.999~20180516-3) unstable; urgency=medium

  * Disabled dh_auto_test for the time being.

 -- Marco d'Itri <md@linux.it>  Thu, 29 Aug 2019 16:01:06 +0200

rbldnsd (0.999~20180516-2) unstable; urgency=medium

  * Depend on pkg-config.

 -- Marco d'Itri <md@linux.it>  Thu, 29 Aug 2019 14:27:27 +0200

rbldnsd (0.999~20180516-1) unstable; urgency=medium

  * New upstream snapshot.
  * Added support for systemd and socket activation.

 -- Marco d'Itri <md@linux.it>  Thu, 29 Aug 2019 12:47:49 +0200
