=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_test:

override_dh_auto_configure:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
	       ./configure --enable-systemd --enable-zlib

override_dh_installchangelogs:
	dh_installchangelogs NEWS
