## rbldnsd 1.0~20210120

=== debian/changelog ===
rbldnsd (1.0~20210120-2) unstable; urgency=medium

  * Fix running the tests in pbuilder.

 -- Marco d'Itri <md@linux.it>  Mon, 16 Jan 2023 02:08:27 +0100

rbldnsd (1.0~20210120-1) unstable; urgency=medium

  * New upstream snapshot.
  * Enabled more systemd sandboxing.
  * Implemented printing a proper error message if the requested instance
    is unknown. (Closes: #992792)
  * Removed the dependency on lsb-base, since it is only needed by the
    legacy init script for /lib/lsb/init-functions.
  * Enabled the build time and autopkgtest tests.

 -- Marco d'Itri <md@linux.it>  Tue, 27 Dec 2022 19:06:33 +0100
