=== debian/control ===
Source: rbldnsd
Section: net
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-installsysusers,
 libsystemd-dev,
 pkg-config,
 python3-dns,
 zlib1g-dev
Standards-Version: 4.6.2.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/md/rbldnsd.git
Vcs-Browser: https://salsa.debian.org/md/rbldnsd

Package: rbldnsd
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: small nameserver daemon designed for DNSBLs
 rbldnsd is a small authoritative-only DNS nameserver
 designed to serve DNS-based blocklists (DNSBLs).
 It may handle IP-based and name-based blocklists.
