=== debian/tests/control ===
Test-Command: RBLDNSD_PATH='/usr/sbin/rbldnsd' python3 ./tests.py
Depends: @, python3-dns
Restrictions: allow-stderr
